{
  "name": "rpa-claro",
  "productName": "RpaClaro",
  "version": "4.0.6",
  "description": "RPA Claro",
  "author": "TARS",
  "license": "MIT",
  "main": "entry.js",
  "scripts": {
    "start": "electron . --user='45957768' --dev --log --code=AGE036",
    "pack": "electron-builder --dir",
    "build": "electron-builder --win",
    "build-all": "electron-builder --win",
    "build-dev": "electron-builder build --win --publish never",
    "deploy": "electron-builder build --win --publish always",
    "iniciar": "electron pip.js --trace-warnings --unhandled-rejections=strict"
  },
  "nodeGypRebuild": "true",
  "repository": {
    "type": "git",
    "url": "git+https://gitlab.com/tars.dev/rpa-claro.git",
    "release": "latest"
  },
  "singleInstance": true,
  "build": {
    "appId": "com.rpa.claro",
    "artifactName": "${productName}-${version}.${ext}",
    "compression": "maximum",
    "protocols": {
      "name": "rpa-claro",
      "schemes": [
        "rpa-claro"
      ]
    },
    "publish": {
      "provider": "generic",
      "url": "https://gitlab.com/api/v4/projects/53729989/jobs/artifacts/main/raw/dist?job=build"
    },
    "win": {
      "icon": "./logo-claro.ico",
      "target": [
        "nsis"
      ],
      "requestedExecutionLevel": "asInvoker",
      "verifyUpdateCodeSignature": false
    },
    "nsis": {
      "runAfterFinish": true,
      "deleteAppDataOnUninstall": true,
      "oneClick": true,
      "perMachine": true,
      "allowElevation": false,
      "allowToChangeInstallationDirectory": false,
      "createDesktopShortcut": true,
      "createStartMenuShortcut": true,
      "installerIcon": "./logo-claro.ico",
      "uninstallerIcon": "./logo-claro.ico"
    },
    "files": [
      "**/*",
      "node_modules/koffi/**/*",
      "node_modules/node-autoit-koffi/**/*"
    ]
  },
  "electron-updater": {
    "differentialDownload": false
  },
  "dependencies": {
    "axios": "^1.6.2",
    "electron-find": "^1.0.7",
    "electron-updater": "^6.0.0",
    "encoding": "^0.1.13",
    "global-agent": "^3.0.0",
    "https": "^1.0.0",
    "jquery": "^3.7.1",
    "matrix-js-sdk": "^31.1.0",
    "node-autoit-koffi": "^1.0.5",
    "node-fetch": "^3.3.2",
    "node-global-proxy": "^1.0.1",
    "nodemailer": "^6.9.8",
    "puppeteer": "^22.15.0",
    "puppeteer-core": "^21.11.0",
    "puppeteer-in-electron": "^3.0.5"
  },
  "devDependencies": {
    "electron": "^20.0.0",
    "electron-builder": "^24.9.1"
  }
}
